Skip to main content
GET
/
schedules
/
search
Search Schedules
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/schedules/search \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "status": "enabled",
    "owner_id": 123,
    "start_at": "2023-11-07T05:31:56Z",
    "next_run_at": "2023-11-07T05:31:56Z",
    "interval_amount": 123,
    "interval_unit": "minutes",
    "task": {
      "nodes": 123,
      "packages": [
        {
          "package_id": 123,
          "variables": {}
        }
      ]
    },
    "overlap": true,
    "reuse_cluster": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "url": "<string>",
    "html_url": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Query Parameters

q
string
required
offset
integer
default:0

Index of the first object to retrieve (starting from 0)

Required range: x >= 0
limit
integer
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100

Response

200 - application/vnd.xplenty+json; version=2

Successful response

id
integer
name
string
description
string
status
enum<string>
Available options:
enabled,
disabled
owner_id
integer
start_at
string<date-time>
next_run_at
string<date-time> | null
interval_amount
integer
interval_unit
enum<string>
Available options:
minutes,
hours,
days,
weeks,
months
task
object
overlap
boolean
reuse_cluster
boolean
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
html_url
string<uri>
Last modified on April 20, 2026